package com.usky.iot.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.usky.iot.domain.DmpDataOverview;
import com.usky.iot.mapper.DmpDataOverviewMapper;
import com.usky.iot.service.DmpDataOverviewService;
import com.usky.common.mybatis.core.AbstractCrudService;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * 数据概览
 *
 * @author ya
 * @since 2022-10-14
 */
@Service
public class DmpDataOverviewServiceImpl extends AbstractCrudService<DmpDataOverviewMapper, DmpDataOverview> implements DmpDataOverviewService {


    @Override
    public List<DmpDataOverview> list(Date startTime, Date endTime, Integer productId, Integer type) {
        LambdaQueryWrapper<DmpDataOverview> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.between(null != startTime && null != endTime,DmpDataOverview::getCreatedTime,startTime,endTime)
                .eq(null != productId,DmpDataOverview::getProductId,productId)
                .eq(null != type,DmpDataOverview::getCycleType,type);
        return this.list(queryWrapper);
    }
}
